//+------------------------------------------------------------------+
//|                                                         Demo.mq4 |
//|                                                         Mohammed |
//+------------------------------------------------------------------+

extern int period = 10;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- 
   //I've placed this code here because the market if OFF and start() function will not work till Monday.
   OrderSelect(0, SELECT_BY_POS, MODE_TRADES);
   double Lo=Low [Lowest (NULL,0,MODE_LOW,period,( CurTime( )-OrderOpenTime( ))/(60*Period( )))];
   double Hi=High [Highest (NULL,0,MODE_HIGH,period,(CurTime( )-OrderOpenTime( ))/(60*Period( )))];
   
   Alert("Lo = " +  DoubleToStr(Lo,4) + " Hi= " + DoubleToStr(Hi,4));
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- 

   OrderSelect(0, SELECT_BY_POS, MODE_TRADES);
   
   double Lo=Low [Lowest (NULL,0,MODE_LOW,period,( CurTime( )-OrderOpenTime( ))/(60*Period( )))];
   double Hi=High [Highest (NULL,0,MODE_HIGH,period,(CurTime( )-OrderOpenTime( ))/(60*Period( )))];
   
   
   Alert("Lo = " +  DoubleToStr(Lo,4) + " Hi= " + DoubleToStr(Hi,4));
   
   return(0);
   
  }
//+------------------------------------------------------------------+